commit:     e03dbe1a2fe010085615279f76893d209258dae4
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 14:02:24 2022 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 14:03:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e03dbe1a

dev-lang/ispc: Revert "drop 1.17.0-r2"

This reverts commit 01a8653e5090a4363e02b13bc6c6de706789f103.

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-lang/ispc/Manifest              |  1 +
 dev-lang/ispc/ispc-1.17.0-r2.ebuild | 78 +++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-lang/ispc/Manifest b/dev-lang/ispc/Manifest
index 5357aeb5efa4..11843f8095de 100644
--- a/dev-lang/ispc/Manifest
+++ b/dev-lang/ispc/Manifest
@@ -1 +1,2 @@
+DIST ispc-1.17.0.tar.gz 19436681 BLAKE2B 
11af6e22c4c297a2fbd0ae1bfe2a37ce2f836607b2caf42634cff0b0fe1116542e71f056de12e3472724db04f1c5174c0deb47c2bd64fb756b4bdaef48935707
 SHA512 
b1c67381bb8b71d268c6e68c95cc5e2d64411ce351506de96d31850b879f7777fbc1cb33f3761437f84e52ae726fabbb794ebba9cf05d5200acaca07a2ebf0ac
 DIST ispc-1.18.0.tar.gz 19469764 BLAKE2B 
dd95ec177120899066d5539add0f35685d73f65512e8be1cc42cf6725741d7f307fbecefc22c4944d9be0e3659d511546b15506213f3dbb97829953507996283
 SHA512 
350b43876d6885ab4c5c0d49c5b44323fd258d5cf7c68fcdea774baa92589542f2caeea93c347a37f0dab3dcf14e7b3e685973b41694f08ce7a2da64dc81bf06

diff --git a/dev-lang/ispc/ispc-1.17.0-r2.ebuild 
b/dev-lang/ispc/ispc-1.17.0-r2.ebuild
new file mode 100644
index 000000000000..804e3471c52c
--- /dev/null
+++ b/dev-lang/ispc/ispc-1.17.0-r2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+LLVM_MAX_SLOT=14
+inherit cmake python-any-r1 llvm
+
+DESCRIPTION="Intel SPMD Program Compiler"
+HOMEPAGE="https://ispc.github.io/";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ispc/ispc.git";
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="BSD BSD-2 UoI-NCSA"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="<sys-devel/clang-$((${LLVM_MAX_SLOT} + 1)):="
+DEPEND="${RDEPEND}"
+BDEPEND="
+       sys-devel/bison
+       sys-devel/flex
+       ${PYTHON_DEPS}
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.18.0-llvm.patch"
+)
+
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+
+pkg_setup() {
+       llvm_pkg_setup
+       python-any-r1_pkg_setup
+}
+
+src_prepare() {
+       if use amd64; then
+               # On amd64 systems, build system enables x86/i686 build too.
+               # This ebuild doesn't even have multilib support, nor need it.
+               # https://bugs.gentoo.org/730062
+               ewarn "Removing auto-x86 build on amd64"
+               sed -i -e 's:set(target_arch "i686"):return():' 
cmake/GenerateBuiltins.cmake || die
+       fi
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DARM_ENABLED=$(usex arm)
+               -DCMAKE_SKIP_RPATH=ON
+               -DISPC_NO_DUMPS=ON
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       # Inject path to prevent using system ispc
+       PATH="${BUILD_DIR}/bin:${PATH}" ${EPYTHON} ./run_tests.py || die 
"Testing failed under ${EPYTHON}"
+}
+
+src_install() {
+       dobin "${BUILD_DIR}"/bin/ispc
+       einstalldocs
+
+       if use examples; then
+               docompress -x /usr/share/doc/${PF}/examples
+               dodoc -r examples
+       fi
+}

Reply via email to